/* GLOBALS */

*, *:after, *:before {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	-ms-box-sizing: border-box;
	-o-box-sizing: border-box;
	box-sizing: border-box;
	padding: 0;
	margin: 0;
}
.clearfix:after {
	content: "";
	display: table;
	clear: both;
}
/* Demo 4 */

.form-4, .csc-header, header h2, .tx-srfeuserregister-pi1, .frame-type-felogin_login, .tx-fe-change-pwd, .tx-evu-canteen-plan-abo {
	width: 300px;
	margin-left: auto;
	margin-right: auto;
	padding: 0px 10px;
	position: relative;
	color: white;
	text-align: left;
	/* Font styles */
	/*font-family: 'Raleway', 'Lato', Arial, sans-serif;*/
	text-shadow: 0 2px 1px rgba(0,0,0,0.3);
}
.form-4 {
	margin: 30px auto;
	padding: 10px;
}
.csc-header .form-4, .tx-srfeuserregister-pi1 .form-4, .frame-type-felogin_login .form-4, .tx-fe-change-pwd .form-4, .tx-evu-canteen-plan-abo .form-4 {
	width: 100%;
	padding: 10px 0px;
	margin-top: 0px;
	margin-bottom: 15px;
}
h1, header h2 {
	font-size: 1.71429em;
	padding-bottom: 20px;
	font-weight: 300;
}

.hide {
	visibility: hidden;
	display: none !important;
}

.form-4 input[type=text], .form-4 input[type=password], .form-4 textarea {
	/* Size and position */
	width: 100%;
	padding: 8px 4px 8px 10px;
	margin-bottom: 15px;
	/* Styles */
	border: 1px solid #4e3043; /* Fallback */
	border: 1px solid rgba(78,48,67, 0.8);
	background: rgba(0,0,0,0.15);
	border-radius: 2px;
	box-shadow: 0 1px 0 rgba(255,255,255,0.2),  inset 0 1px 1px rgba(0,0,0,0.1);
	-webkit-transition: all 0.3s ease-out;
	-moz-transition: all 0.3s ease-out;
	-ms-transition: all 0.3s ease-out;
	-o-transition: all 0.3s ease-out;
	transition: all 0.3s ease-out;
	/* Font styles */
	font-family: 'Raleway', 'Lato', Arial, sans-serif;
	color: #ccc;
	font-size: 1em;
}

/* Placeholder style (from http://stackoverflow.com/questions/2610497/change-an-inputs-html5-placeholder-color-with-css) */

.form-4 input:-webkit-input-placeholder, .form-4 input:-moz-placeholder, .form-4 input:-ms-input-placeholder {
	color: #bdbed5;
	text-shadow: 0 1px 0 rgba(255,255,255,0.15);
}
.form-4 input[type=text]:hover, .form-4 input[type=password]:hover {
	border-color: #333;
}
.form-4 input[type=text]:focus, .form-4 input[type=password]:focus, .form-4 input[type=submit]:focus {
	box-shadow: 0 1px 0 rgba(255,255,255,0.2),  inset 0 1px 1px rgba(0,0,0,0.1),  0 0 0 3px rgba(255,255,255,0.15);
	outline: none;
}
/* Fallback */
.no-boxshadow .form-4 input[type=text]:focus, .no-boxshadow .form-4 input[type=password]:focus {
	outline: 1px solid white;
}
.form-4 input[type=submit], .submit_button {
	/* Size and position */
	width: 100%;
	padding: 8px 5px;
	/* Styles */
	background: #649dc8;
	background: -moz-linear-gradient(rgba(100, 157, 200,0,5), rgba(76,49,65,0.7));
	background: -ms-linear-gradient(rgba(100, 157, 200,0,5), rgba(76,49,65,0.7));
	background: -o-linear-gradient(rgba(100, 157, 200,0,5), rgba(76,49,65,0.7));
	background: -webkit-gradient(linear, 0 0, 0 100%, from(rgba(100, 157, 200,0,5)), to(rgba(76,49,65,0.7)));
	background: -webkit-linear-gradient(rgba(100, 157, 200,0,5), rgba(76,49,65,0.7));
	background: linear-gradient(rgba(100, 157, 200,0,5), rgba(76,49,65,0.7));
	border-radius: 5px;
	border: 1px solid #4e3043;
	box-shadow: inset 0 1px rgba(255,255,255,0.4), 0 2px 1px rgba(0,0,0,0.1);
	cursor: pointer;
	-webkit-transition: all 0.3s ease-out;
	-moz-transition: all 0.3s ease-out;
	-ms-transition: all 0.3s ease-out;
	-o-transition: all 0.3s ease-out;
	transition: all 0.3s ease-out;
	/* Font styles */
	color: white;
	text-shadow: 0 1px 0 rgba(0,0,0,0.3);
	font-size: 1.2em;
	font-weight: bold;
	font-family: 'Raleway', 'Lato', Arial, sans-serif;
}
.submit_button {
	display: block;
	text-align: center;
}
.form-4 input[type=submit]:hover, .submit_button:hover {
	box-shadow: inset 0 1px rgba(255,255,255,0.2),  inset 0 20px 30px rgba(100, 157, 200,0,5);
	text-decoration:underline;
}
/* Fallback */
.no-boxshadow .form-4 input[type=submit]:hover, .no-boxshadow .submit_button:hover {
	background: #594642;
}
.form-4 label {
	padding: 0 0 5px 2px;
	cursor: pointer;
}
.form-4 label:hover ~ input {
	border-color: #333;
}
.no-placeholder .form-4 label {
	display: block;
}

input[type="radio"] {
    display:none;
}

input[type="radio"] + label {
    color:#f2f2f2;
	visibility: visible;
	}

input[type="radio"] + label span {
    display:inline-block;
    width:19px;
    height:19px;
    margin:-1px 4px 0 0;
    vertical-align:middle;
    background:url(../images/check_radio_sheet.png) -38px top no-repeat;
}

input[type="radio"]:checked + label span {
    background:url(../images/check_radio_sheet.png) -57px top no-repeat;
}
